/*************************************************************************
* 
* Liest eine Zeile aus dem UART aus und gibt sie als C-String zurck
*
\************************************************************************/

//Includes
#include <stdlib.h>
#include <string.h>

#include "uart_get_l.h"

#include "uart.h"
#include <avr/interrupt.h>
#include <avr/pgmspace.h>



int uart_get_line ( char *string, size_t l_string )
{

//Variablen deklariern
char c;
int i = 0;

	do
	{
	c = uart_getc();
		
        if ( c & UART_NO_DATA )
        {

            /* 
             * no data available from UART 
             */
				string[i] = '\0';	//Terminierung
				return i;

        }
        else
        {
			string[i] = c;
			i++;
		}
	
	} while ( c != '\n' && i < l_string );

	string[i] = '\0';	//Terminierung
	

	return i;

}	//Funktion-Ende
